org.icefaces.ace.component.tooltip

## Class TooltipBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.icefaces.ace.component.tooltip.TooltipBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ITooltip
  Direct Known Subclasses:
    Tooltip

      public abstract class TooltipBase
      extends javax.faces.component.UIOutput
      implements ITooltip, IceClientBehaviorHolder

  The Tooltip is a component that displays a tooltip with various events, effects and customization options.

  For more information, see the Tooltip Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `TooltipBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooltipBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `javax.el.MethodExpression` | `getDelegateDisplayListener()` Return the value of the `delegateDisplayListener` property.
    `javax.el.MethodExpression` | `getDisplayListener()` Return the value of the `displayListener` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `javax.el.ValueExpression` | `getFetch()` Return the value of the `fetch` property.
    `java.lang.String` | `getFor()` Return the value of the `for` property.
    `java.lang.String` | `getForContainer()` Return the value of the `forContainer` property.
    `java.lang.String` | `getForDelegate()` Return the value of the `forDelegate` property.
    `java.lang.String` | `getForElement()` Return the value of the `forElement` property.
    `int` | `getHideDelay()` Return the value of the `hideDelay` property.
    `java.lang.String` | `getHideEffect()` Return the value of the `hideEffect` property.
    `int` | `getHideEffectLength()` Return the value of the `hideEffectLength` property.
    `java.lang.String` | `getHideEvent()` Return the value of the `hideEvent` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.String` | `getPosition()` Return the value of the `position` property.
    `int` | `getShowDelay()` Return the value of the `showDelay` property.
    `java.lang.String` | `getShowEffect()` Return the value of the `showEffect` property.
    `int` | `getShowEffectLength()` Return the value of the `showEffectLength` property.
    `java.lang.String` | `getShowEvent()` Return the value of the `showEvent` property.
    `java.lang.Object` | `getStore()` Return the value of the `store` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTargetPosition()` Return the value of the `targetPosition` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `java.lang.Boolean` | `isCancelDisplay()` Return the value of the `cancelDisplay` property.
    `boolean` | `isGlobal()` Return the value of the `global` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isSpeechBubble()` Return the value of the `speechBubble` property.
    `void` | `setCancelDisplay(java.lang.Boolean cancelDisplay)` Set the value of the `cancelDisplay` property.
    `void` | `setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)` Set the value of the `delegateDisplayListener` property.
    `void` | `setDisplayListener(javax.el.MethodExpression displayListener)` Set the value of the `displayListener` property.
    `void` | `setFetch(javax.el.ValueExpression fetch)` Set the value of the `fetch` property.
    `void` | `setFor(java.lang.String forValue)` Set the value of the `for` property.
    `void` | `setForContainer(java.lang.String forContainer)` Set the value of the `forContainer` property.
    `void` | `setForDelegate(java.lang.String forDelegate)` Set the value of the `forDelegate` property.
    `void` | `setForElement(java.lang.String forElement)` Set the value of the `forElement` property.
    `void` | `setGlobal(boolean global)` Set the value of the `global` property.
    `void` | `setHideDelay(int hideDelay)` Set the value of the `hideDelay` property.
    `void` | `setHideEffect(java.lang.String hideEffect)` Set the value of the `hideEffect` property.
    `void` | `setHideEffectLength(int hideEffectLength)` Set the value of the `hideEffectLength` property.
    `void` | `setHideEvent(java.lang.String hideEvent)` Set the value of the `hideEvent` property.
    `void` | `setPosition(java.lang.String position)` Set the value of the `position` property.
    `void` | `setShowDelay(int showDelay)` Set the value of the `showDelay` property.
    `void` | `setShowEffect(java.lang.String showEffect)` Set the value of the `showEffect` property.
    `void` | `setShowEffectLength(int showEffectLength)` Set the value of the `showEffectLength` property.
    `void` | `setShowEvent(java.lang.String showEvent)` Set the value of the `showEvent` property.
    `void` | `setSpeechBubble(boolean speechBubble)` Set the value of the `speechBubble` property.
    `void` | `setStore(java.lang.Object store)` Set the value of the `store` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTargetPosition(java.lang.String targetPosition)` Set the value of the `targetPosition` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TooltipBase

          public TooltipBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### setDelegateDisplayListener

          public void setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)

      Set the value of the `delegateDisplayListener` property.

      Contents: A server side listener to be invoked when a tooltip in delegate mode is about to be shown in the client. It must evaluate to a public void method with a TooltipDelegateDisplayEvent argument. This listener allows the possiblity of preventing the tooltip from being displayed by calling event.cancelDisplay().

      Specified by:
        `setDelegateDisplayListener` in interface `ITooltip`

    - #### getDelegateDisplayListener

          public javax.el.MethodExpression getDelegateDisplayListener()

      Return the value of the `delegateDisplayListener` property.

      Contents: A server side listener to be invoked when a tooltip in delegate mode is about to be shown in the client. It must evaluate to a public void method with a TooltipDelegateDisplayEvent argument. This listener allows the possiblity of preventing the tooltip from being displayed by calling event.cancelDisplay().

      Specified by:
        `getDelegateDisplayListener` in interface `ITooltip`

    - #### setDisplayListener

          public void setDisplayListener(javax.el.MethodExpression displayListener)

      Set the value of the `displayListener` property.

      Contents: A server side listener to be invoked when the tooltip is about to be shown in the client. It must evaluate to a public void method with no arguments.

      Specified by:
        `setDisplayListener` in interface `ITooltip`

    - #### getDisplayListener

          public javax.el.MethodExpression getDisplayListener()

      Return the value of the `displayListener` property.

      Contents: A server side listener to be invoked when the tooltip is about to be shown in the client. It must evaluate to a public void method with no arguments.

      Specified by:
        `getDisplayListener` in interface `ITooltip`

    - #### setFetch

          public void setFetch(javax.el.ValueExpression fetch)

      Set the value of the `fetch` property.

      Contents: When using "forDelegate", an EL expression can be specified as the value of this attribute. Such expression will be evaluated at the same point (e.g. row) where the component that triggered the tooltip is located, allowing to retrieve row data in a table or iterative container. The result is saved in the bean property specified by the "store" attribute.

      Specified by:
        `setFetch` in interface `ITooltip`

    - #### getFetch

          public javax.el.ValueExpression getFetch()

      Return the value of the `fetch` property.

      Contents: When using "forDelegate", an EL expression can be specified as the value of this attribute. Such expression will be evaluated at the same point (e.g. row) where the component that triggered the tooltip is located, allowing to retrieve row data in a table or iterative container. The result is saved in the bean property specified by the "store" attribute.

      Specified by:
        `getFetch` in interface `ITooltip`

    - #### setFor

          public void setFor(java.lang.String forValue)

      Set the value of the `for` property.

      Contents: Specifies the id of the component that will display the tooltip. Ignored if "global" is true. Multiple component ids can be specified separated by commas.

      Specified by:
        `setFor` in interface `ITooltip`

    - #### getFor

          public java.lang.String getFor()

      Return the value of the `for` property.

      Contents: Specifies the id of the component that will display the tooltip. Ignored if "global" is true. Multiple component ids can be specified separated by commas.

      Specified by:
        `getFor` in interface `ITooltip`

    - #### setForContainer

          public void setForContainer(java.lang.String forContainer)

      Set the value of the `forContainer` property.

      Contents: Specifies the id of the component that contains the component referenced by the "for" attribute. This is to be used in cases where the target component is inside an iterative container such as a data table and the tooltip component itself is outside. A more robust solution is to use "forDelegate" instead of this attribute.

      Specified by:
        `setForContainer` in interface `ITooltip`

    - #### getForContainer

          public java.lang.String getForContainer()

      Return the value of the `forContainer` property.

      Contents: Specifies the id of the component that contains the component referenced by the "for" attribute. This is to be used in cases where the target component is inside an iterative container such as a data table and the tooltip component itself is outside. A more robust solution is to use "forDelegate" instead of this attribute.

      Specified by:
        `getForContainer` in interface `ITooltip`

    - #### setForDelegate

          public void setForDelegate(java.lang.String forDelegate)

      Set the value of the `forDelegate` property.

      Contents: Specifies the id of the component that will receive the tooltip listeners on behalf of the component specified in the "for" attribute. This is useful when the tooltip component is outside a data table or iterative container and references a component inside such container. This improves performance by avoiding the creation of tooltip objects in each each row. It also guards against dynamic updates that could replace the component and make it lose its tooltip listeners. Additionally, this method allows retrieving row data by using the "fetch" and "store" attributes. This is a better alternative to "forContainer".

      Specified by:
        `setForDelegate` in interface `ITooltip`

    - #### getForDelegate

          public java.lang.String getForDelegate()

      Return the value of the `forDelegate` property.

      Contents: Specifies the id of the component that will receive the tooltip listeners on behalf of the component specified in the "for" attribute. This is useful when the tooltip component is outside a data table or iterative container and references a component inside such container. This improves performance by avoiding the creation of tooltip objects in each each row. It also guards against dynamic updates that could replace the component and make it lose its tooltip listeners. Additionally, this method allows retrieving row data by using the "fetch" and "store" attributes. This is a better alternative to "forContainer".

      Specified by:
        `getForDelegate` in interface `ITooltip`

    - #### setForElement

          public void setForElement(java.lang.String forElement)

      Set the value of the `forElement` property.

      Contents: Specifies the id of the HTML element that will display the tooltip. Applicable only if "for" component is not specified. Ignored if "global" is true.

      Specified by:
        `setForElement` in interface `ITooltip`

    - #### getForElement

          public java.lang.String getForElement()

      Return the value of the `forElement` property.

      Contents: Specifies the id of the HTML element that will display the tooltip. Applicable only if "for" component is not specified. Ignored if "global" is true.

      Specified by:
        `getForElement` in interface `ITooltip`

    - #### setGlobal

          public void setGlobal(boolean global)

      Set the value of the `global` property.

      Contents: Boolean value specifying whether to create tooltips for all elements with a title attribute using the title attribute value.

      Specified by:
        `setGlobal` in interface `ITooltip`

    - #### isGlobal

          public boolean isGlobal()

      Return the value of the `global` property.

      Contents: Boolean value specifying whether to create tooltips for all elements with a title attribute using the title attribute value. Default = 'false'.

      Specified by:
        `isGlobal` in interface `ITooltip`

    - #### setHideDelay

          public void setHideDelay(int hideDelay)

      Set the value of the `hideDelay` property.

      Contents: Time in milliseconds by which to delay the hiding of the tooltip.

      Specified by:
        `setHideDelay` in interface `ITooltip`

    - #### getHideDelay

          public int getHideDelay()

      Return the value of the `hideDelay` property.

      Contents: Time in milliseconds by which to delay the hiding of the tooltip. Default = '0'.

      Specified by:
        `getHideDelay` in interface `ITooltip`

    - #### setHideEffect

          public void setHideEffect(java.lang.String hideEffect)

      Set the value of the `hideEffect` property.

      Contents: Effect to use upon hiding the tooltip e.g. fade, slide or grow.

      Specified by:
        `setHideEffect` in interface `ITooltip`

    - #### getHideEffect

          public java.lang.String getHideEffect()

      Return the value of the `hideEffect` property.

      Contents: Effect to use upon hiding the tooltip e.g. fade, slide or grow. Default = 'fade'.

      Specified by:
        `getHideEffect` in interface `ITooltip`

    - #### setHideEffectLength

          public void setHideEffectLength(int hideEffectLength)

      Set the value of the `hideEffectLength` property.

      Contents: Length of time in milliseconds the hide effect will last for.

      Specified by:
        `setHideEffectLength` in interface `ITooltip`

    - #### getHideEffectLength

          public int getHideEffectLength()

      Return the value of the `hideEffectLength` property.

      Contents: Length of time in milliseconds the hide effect will last for. Default = '500'.

      Specified by:
        `getHideEffectLength` in interface `ITooltip`

    - #### setHideEvent

          public void setHideEvent(java.lang.String hideEvent)

      Set the value of the `hideEvent` property.

      Contents: Event which will trigger the hiding of the tooltip. Possible values are DOM events, such as "mouseout", documented under jQuery's Event: bind().

      Specified by:
        `setHideEvent` in interface `ITooltip`

    - #### getHideEvent

          public java.lang.String getHideEvent()

      Return the value of the `hideEvent` property.

      Contents: Event which will trigger the hiding of the tooltip. Possible values are DOM events, such as "mouseout", documented under jQuery's Event: bind(). Default = 'mouseout'.

      Specified by:
        `getHideEvent` in interface `ITooltip`

    - #### setPosition

          public void setPosition(java.lang.String position)

      Set the value of the `position` property.

      Contents: The corner of the tooltip to position in relation to the target's corner. E.g. topLeft, bottomRight. See positioning for all possible values.

      Specified by:
        `setPosition` in interface `ITooltip`

    - #### getPosition

          public java.lang.String getPosition()

      Return the value of the `position` property.

      Contents: The corner of the tooltip to position in relation to the target's corner. E.g. topLeft, bottomRight. See positioning for all possible values. Default = 'topLeft'.

      Specified by:
        `getPosition` in interface `ITooltip`

    - #### setShowDelay

          public void setShowDelay(int showDelay)

      Set the value of the `showDelay` property.

      Contents: Time in milliseconds by which to delay the showing of the tooltip.

      Specified by:
        `setShowDelay` in interface `ITooltip`

    - #### getShowDelay

          public int getShowDelay()

      Return the value of the `showDelay` property.

      Contents: Time in milliseconds by which to delay the showing of the tooltip. Default = '140'.

      Specified by:
        `getShowDelay` in interface `ITooltip`

    - #### setShowEffect

          public void setShowEffect(java.lang.String showEffect)

      Set the value of the `showEffect` property.

      Contents: Effect to use upon showing the tooltip e.g. fade, slide or grow.

      Specified by:
        `setShowEffect` in interface `ITooltip`

    - #### getShowEffect

          public java.lang.String getShowEffect()

      Return the value of the `showEffect` property.

      Contents: Effect to use upon showing the tooltip e.g. fade, slide or grow. Default = 'fade'.

      Specified by:
        `getShowEffect` in interface `ITooltip`

    - #### setShowEffectLength

          public void setShowEffectLength(int showEffectLength)

      Set the value of the `showEffectLength` property.

      Contents: Length of time in milliseconds the show effect will last for.

      Specified by:
        `setShowEffectLength` in interface `ITooltip`

    - #### getShowEffectLength

          public int getShowEffectLength()

      Return the value of the `showEffectLength` property.

      Contents: Length of time in milliseconds the show effect will last for. Default = '500'.

      Specified by:
        `getShowEffectLength` in interface `ITooltip`

    - #### setShowEvent

          public void setShowEvent(java.lang.String showEvent)

      Set the value of the `showEvent` property.

      Contents: Event which will trigger the showing of the tooltip. Possible values are DOM events, such as "mouseover", documented under jQuery's Event: bind().

      Specified by:
        `setShowEvent` in interface `ITooltip`

    - #### getShowEvent

          public java.lang.String getShowEvent()

      Return the value of the `showEvent` property.

      Contents: Event which will trigger the showing of the tooltip. Possible values are DOM events, such as "mouseover", documented under jQuery's Event: bind(). Default = 'mouseover'.

      Specified by:
        `getShowEvent` in interface `ITooltip`

    - #### setSpeechBubble

          public void setSpeechBubble(boolean speechBubble)

      Set the value of the `speechBubble` property.

      Contents: Specifies whether the tooltip should be stylized as a speech bubble (i.e. with a speech bubble arrow tip pointing to the triggerer element).

      Specified by:
        `setSpeechBubble` in interface `ITooltip`

    - #### isSpeechBubble

          public boolean isSpeechBubble()

      Return the value of the `speechBubble` property.

      Contents: Specifies whether the tooltip should be stylized as a speech bubble (i.e. with a speech bubble arrow tip pointing to the triggerer element). Default = 'false'.

      Specified by:
        `isSpeechBubble` in interface `ITooltip`

    - #### setStore

          public void setStore(java.lang.Object store)

      Set the value of the `store` property.

      Contents: The result of evaluating the expression specified in "fetch" is stored in the bean property specified in this attribute.

      Specified by:
        `setStore` in interface `ITooltip`

    - #### getStore

          public java.lang.Object getStore()

      Return the value of the `store` property.

      Contents: The result of evaluating the expression specified in "fetch" is stored in the bean property specified in this attribute.

      Specified by:
        `getStore` in interface `ITooltip`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: The inline style of the component, rendered on the root div of the component.

      Specified by:
        `setStyle` in interface `ITooltip`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: The inline style of the component, rendered on the root div of the component.

      Specified by:
        `getStyle` in interface `ITooltip`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: The CSS style class of the component, rendered on the root div of the component.

      Specified by:
        `setStyleClass` in interface `ITooltip`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: The CSS style class of the component, rendered on the root div of the component.

      Specified by:
        `getStyleClass` in interface `ITooltip`

    - #### setTargetPosition

          public void setTargetPosition(java.lang.String targetPosition)

      Set the value of the `targetPosition` property.

      Contents: The corner of the target element by which to position the tooltip by. E.g. topLeft, bottomRight. See positioning for all possible values.

      Specified by:
        `setTargetPosition` in interface `ITooltip`

    - #### getTargetPosition

          public java.lang.String getTargetPosition()

      Return the value of the `targetPosition` property.

      Contents: The corner of the target element by which to position the tooltip by. E.g. topLeft, bottomRight. See positioning for all possible values. Default = 'bottomRight'.

      Specified by:
        `getTargetPosition` in interface `ITooltip`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `setWidgetVar` in interface `ITooltip`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `getWidgetVar` in interface `ITooltip`

    - #### setCancelDisplay

          public void setCancelDisplay(java.lang.Boolean cancelDisplay)

      Set the value of the `cancelDisplay` property.

      Specified by:
        `setCancelDisplay` in interface `ITooltip`

    - #### isCancelDisplay

          public java.lang.Boolean isCancelDisplay()

      Return the value of the `cancelDisplay` property.

      Specified by:
        `isCancelDisplay` in interface `ITooltip`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.